Page MenuHomePhabricator

Pageview API documentation for end users {slug} [8 pts]
Closed, ResolvedPublic

Description

The documentation is here: https://wikimedia.org/api/rest_v1/?doc.

http://rest.wikimedia.org/en.wikipedia.org/v1/?doc (deprecated documentation)

But we need friendlier docs.

I am assigning this to mforns cause I think the small showcase application will inform the documentation we need to provide.

Event Timeline

Nuria created this task.Oct 30 2015, 3:55 PM
Nuria updated the task description. (Show Details)
Nuria raised the priority of this task from to Needs Triage.
Nuria added a project: Analytics-Kanban.
Nuria added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 3:55 PM
Nuria updated the task description. (Show Details)Nov 2 2015, 10:30 PM
Nuria assigned this task to mforns.
Nuria set Security to None.
JAllemandou triaged this task as High priority.Nov 5 2015, 6:09 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Nov 9 2015, 1:08 PM
Nuria added a comment.Nov 11 2015, 6:29 PM

Right, we need a friendlier doc in wikitech that an end user can use w/o having to know anything about restbase

GWicke added a subscriber: GWicke.EditedNov 11 2015, 7:32 PM

I think you are looking for https://wikimedia.org/api/rest_v1/?doc.

Example for pageviews: https://wikimedia.org/api/rest_v1/?doc#!/Pageviews_data/get_metrics_pageviews_per_article_project_access_agent_article_granularity_start_end

Note that http://rest.wikimedia.org/ is deprecated. All access should be through /api/rest_v1/ at the respective project domains, with wikimedia.org being the "global" domain.

mforns moved this task from In Code Review to Done on the Analytics-Kanban board.Nov 17 2015, 3:54 PM
mforns renamed this task from Pageview API documentation for end users {slug} to Pageview API documentation for end users {slug} [8 pts].Nov 17 2015, 5:23 PM
kevinator closed this task as Resolved.
kevinator added a subscriber: kevinator.